org.apache.cassandra.io.sstable.format

## Enum SSTableReadsListener.SkippingReason

- java.lang.Object
- - java.lang.Enum<SSTableReadsListener.SkippingReason>
  - - org.apache.cassandra.io.sstable.format.SSTableReadsListener.SkippingReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SSTableReadsListener.SkippingReason>
  Enclosing interface:
    SSTableReadsListener

      public static enum SSTableReadsListener.SkippingReason
      extends java.lang.Enum<SSTableReadsListener.SkippingReason>

  The reasons for skipping an SSTable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOOM_FILTER`
    `INDEX_ENTRY_NOT_FOUND`
    `MIN_MAX_KEYS`
    `PARTITION_INDEX_LOOKUP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableReadsListener.SkippingReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SSTableReadsListener.SkippingReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOOM_FILTER

          public static final SSTableReadsListener.SkippingReason BLOOM_FILTER

    - #### MIN_MAX_KEYS

          public static final SSTableReadsListener.SkippingReason MIN_MAX_KEYS

    - #### PARTITION_INDEX_LOOKUP

          public static final SSTableReadsListener.SkippingReason PARTITION_INDEX_LOOKUP

    - #### INDEX_ENTRY_NOT_FOUND

          public static final SSTableReadsListener.SkippingReason INDEX_ENTRY_NOT_FOUND

  - ### Method Detail

    - #### values

          public static SSTableReadsListener.SkippingReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SSTableReadsListener.SkippingReason c : SSTableReadsListener.SkippingReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SSTableReadsListener.SkippingReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation